diff -pruN 3.2.4-2/ANNOUNCE.rst 3.2.5-1/ANNOUNCE.rst
--- 3.2.4-2/ANNOUNCE.rst	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/ANNOUNCE.rst	2020-05-16 17:30:58.000000000 +0000
@@ -1,13 +1,22 @@
 Hello!
 
-I'm pleased to announce version 3.2.4, a bugfix release of branch
-3.2 of CheetahTemplate3.
+I'm pleased to announce version 3.2.5, a minor feature release
+of branch 3.2 of CheetahTemplate3.
 
 
 What's new in CheetahTemplate3
 ==============================
 
-Contributors for this release are
+The contributor for this release is Yegor Yefremov.
+
+Build:
+
+  - Install ``Cheetah3`` + ``markdown`` (used in ``Cheetah.Filters``)
+    using ``pip install cheetah3[filters]`` (or ``cheetah3[markdown]``).
+
+CI:
+
+  - Run tests with Python 3.8 at Travis CI.
 
 
 What is CheetahTemplate3
@@ -29,7 +38,7 @@ Development:
 https://github.com/CheetahTemplate3
 
 Download:
-https://pypi.org/project/Cheetah3/3.2.4
+https://pypi.org/project/Cheetah3/3.2.5
 
 News and changes:
 https://cheetahtemplate.org/news.html
diff -pruN 3.2.4-2/appveyor.yml 3.2.5-1/appveyor.yml
--- 3.2.4-2/appveyor.yml	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/appveyor.yml	2020-05-16 17:30:58.000000000 +0000
@@ -25,11 +25,11 @@ environment:
       PYTHON_VERSION: "2.7"
       PYTHON_ARCH: "64"
       PYTHON_HOME: "C:\\Python27-x64"
-    - TOXENV: "py34"
+    - TOXENV: "py34-w32"
       PYTHON_VERSION: "3.4"
       PYTHON_ARCH: "32"
       PYTHON_HOME: "C:\\Python34"
-    - TOXENV: "py34"
+    - TOXENV: "py34-w32"
       PYTHON_VERSION: "3.4"
       PYTHON_ARCH: "64"
       PYTHON_HOME: "C:\\Python34-x64"
@@ -57,6 +57,14 @@ environment:
       PYTHON_VERSION: "3.7"
       PYTHON_ARCH: "64"
       PYTHON_HOME: "C:\\Python37-x64"
+    - TOXENV: "py38"
+      PYTHON_VERSION: "3.8"
+      PYTHON_ARCH: "32"
+      PYTHON_HOME: "C:\\Python38"
+    - TOXENV: "py38"
+      PYTHON_VERSION: "3.8"
+      PYTHON_ARCH: "64"
+      PYTHON_HOME: "C:\\Python38-x64"
     - TOXENV: "pypy"
       PYTHON_VERSION: "2.7"
       PYTHON_ARCH: "32"
@@ -71,8 +79,8 @@ install:
   - "python -c \"import struct; print(struct.calcsize('P') * 8)\""
   - if "%TOXENV%" == "pypy" SET TOXPYTHON=pypy.exe
   - if "%TOXENV%" == "pypy" pypy --version
-  - "python -m pip install --upgrade \"pip < 19.1\" setuptools"
-  - "pip install --upgrade \"tox < 3.1\" ppu"
+  - "python -m pip install --upgrade \"pip<19.2\" \"setuptools<44\""
+  - "pip install --upgrade \"tox<3.1\" ppu"
   - "pip --version"
 
 # No build step - _namemapper extension will be built under tox
@@ -89,7 +97,11 @@ deploy_script:
   # TWINE_USERNAME / TWINE_PASSWORD / TWINE_REPOSITORY_URL
   # must be set in AppVeyor settings.
   - if "%APPVEYOR_REPO_TAG%" == "true" (
-      pip install --upgrade twine "wheel==0.31.1" &&
+      if "%PYTHON_VERSION%" == "3.4" (
+        pip install --upgrade "readme-renderer<25.0" "twine<2.0" "wheel==0.31.1"
+      ) else (
+        pip install --upgrade twine "wheel==0.34.1"
+      ) &&
       %CMD_IN_ENV% python setup.py bdist_wheel &&
       twine upload --skip-existing dist\\*.whl
     )
diff -pruN 3.2.4-2/Cheetah/CheetahWrapper.py 3.2.5-1/Cheetah/CheetahWrapper.py
--- 3.2.4-2/Cheetah/CheetahWrapper.py	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/Cheetah/CheetahWrapper.py	2020-05-16 17:30:58.000000000 +0000
@@ -226,10 +226,10 @@ Files are %s""", args, pprint.pformat(va
             print('>> Available Cheetah compiler settings:')
             from Cheetah.Compiler import _DEFAULT_COMPILER_SETTINGS
             listing = _DEFAULT_COMPILER_SETTINGS
-            listing.sort(key=lambda l: l[0][0].lower())
+            listing.sort(key=lambda _l: _l[0][0].lower())
 
-            for l in listing:
-                print('\t%s (default: "%s")\t%s' % l)
+            for _l in listing:
+                print('\t%s (default: "%s")\t%s' % _l)
             sys.exit(0)
 
         # cleanup trailing path separators
diff -pruN 3.2.4-2/Cheetah/Template.py 3.2.5-1/Cheetah/Template.py
--- 3.2.4-2/Cheetah/Template.py	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/Cheetah/Template.py	2020-05-16 17:30:58.000000000 +0000
@@ -83,9 +83,9 @@ class PreprocessError(Error):
     pass
 
 
-def hashList(l):
+def hashList(v_list):
     hashedList = []
-    for v in l:
+    for v in v_list:
         if isinstance(v, dict):
             v = hashDict(v)
         elif isinstance(v, list):
diff -pruN 3.2.4-2/Cheetah/Version.py 3.2.5-1/Cheetah/Version.py
--- 3.2.4-2/Cheetah/Version.py	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/Cheetah/Version.py	2020-05-16 17:30:58.000000000 +0000
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
-Version = '3.2.4'
-VersionTuple = (3, 2, 4, 'final', 0)
+Version = '3.2.5'
+VersionTuple = (3, 2, 5, 'final', 0)
 
 MinCompatibleVersion = '3.0.0a1'
 MinCompatibleVersionTuple = (3, 0, 0, 'alpha', 1)
diff -pruN 3.2.4-2/debian/changelog 3.2.5-1/debian/changelog
--- 3.2.4-2/debian/changelog	2020-04-04 23:24:19.000000000 +0000
+++ 3.2.5-1/debian/changelog	2020-07-27 07:56:33.000000000 +0000
@@ -1,3 +1,18 @@
+cheetah (3.2.5-1) unstable; urgency=medium
+
+  [ Sandro Tosi ]
+  * debian/python-cheetah-doc.doc-base
+    - fix doc-base-file-references-missing-file lintian error
+
+  [ JCF Ploemen (jcfp) ]
+  * New upstream release.
+  * Bump Standards-Version to 4.5.0 (from 4.4.1; no further changes).
+
+  [ Debian Janitor ]
+  * Set upstream metadata fields: Bug-Database, Bug-Submit.
+
+ -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 27 Jul 2020 07:56:33 -0000
+
 cheetah (3.2.4-2) unstable; urgency=medium
 
   * Drop python2 support; Closes: #936293
diff -pruN 3.2.4-2/debian/control 3.2.5-1/debian/control
--- 3.2.4-2/debian/control	2020-04-04 23:24:19.000000000 +0000
+++ 3.2.5-1/debian/control	2020-07-27 07:56:33.000000000 +0000
@@ -11,7 +11,7 @@ Build-Depends:
  python3-pygments,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.cheetahtemplate.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/cheetah.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/cheetah
diff -pruN 3.2.4-2/debian/patches/python3-tests.patch 3.2.5-1/debian/patches/python3-tests.patch
--- 3.2.4-2/debian/patches/python3-tests.patch	2020-04-04 23:24:19.000000000 +0000
+++ 3.2.5-1/debian/patches/python3-tests.patch	2020-07-27 07:56:33.000000000 +0000
@@ -1,11 +1,11 @@
+# run the `cheetah` command with the interpreter used to run this test file
 --- a/Cheetah/Tests/CheetahWrapper.py
 +++ b/Cheetah/Tests/CheetahWrapper.py
-@@ -66,7 +66,8 @@ class CFBase(unittest.TestCase):
+@@ -66,7 +66,7 @@ class CFBase(unittest.TestCase):
          """Create the top-level directories, subdirectories and .tmpl
             files.
          """
 -        self.cmd = self.locate_cheetah('cheetah')
-+        # run the `cheetah` command with the interpreter used to run this test file
 +        self.cmd = sys.executable + " " + self.locate_cheetah('cheetah')
          cwd = os.getcwd()
          if not os.environ.get('PYTHONPATH'):
diff -pruN 3.2.4-2/debian/python-cheetah-doc.doc-base 3.2.5-1/debian/python-cheetah-doc.doc-base
--- 3.2.4-2/debian/python-cheetah-doc.doc-base	2020-04-04 23:24:19.000000000 +0000
+++ 3.2.5-1/debian/python-cheetah-doc.doc-base	2020-07-27 07:56:33.000000000 +0000
@@ -8,5 +8,5 @@ Abstract: This document is a user guide,
 Section: Programming/Python
 
 Format: HTML
-Index: /usr/share/doc/python-cheetah/html/index.html
-Files: /usr/share/doc/python-cheetah/html/*
+Index: /usr/share/doc/python-cheetah-doc/html/index.html
+Files: /usr/share/doc/python-cheetah-doc/html/*
diff -pruN 3.2.4-2/debian/rules 3.2.5-1/debian/rules
--- 3.2.4-2/debian/rules	2020-04-04 23:24:19.000000000 +0000
+++ 3.2.5-1/debian/rules	2020-07-27 07:56:33.000000000 +0000
@@ -15,16 +15,17 @@ ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS
 	PYTHONPATH=$(CURDIR) $(MAKE) -i -C docs html
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	PYTHONPATH=$(CURDIR) $(MAKE) -i -C docs clean
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	# rename utils in python3-cheetah to prevent filename collisions
 	mv debian/python3-cheetah/usr/bin/cheetah debian/python3-cheetah/usr/bin/cheetah3
 	mv debian/python3-cheetah/usr/bin/cheetah-analyze debian/python3-cheetah/usr/bin/cheetah-analyze3
 	mv debian/python3-cheetah/usr/bin/cheetah-compile debian/python3-cheetah/usr/bin/cheetah-compile3
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cp -va Cheetah/Tests/ImportHooksTemplates {build_dir}/Cheetah/Tests/; PATH=$(CURDIR)/bin:$$PATH python{version} {build_dir}/Cheetah/Tests/Test.py" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS=" \
+		cp -va Cheetah/Tests/ImportHooksTemplates {build_dir}/Cheetah/Tests/; \
+		PATH=$(CURDIR)/bin:$$PATH python{version} {build_dir}/Cheetah/Tests/Test.py" \
+		dh_auto_test
diff -pruN 3.2.4-2/debian/upstream/metadata 3.2.5-1/debian/upstream/metadata
--- 3.2.4-2/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 3.2.5-1/debian/upstream/metadata	2020-07-27 07:56:33.000000000 +0000
@@ -0,0 +1,3 @@
+---
+Bug-Database: https://github.com/CheetahTemplate3/cheetah3/issues
+Bug-Submit: https://github.com/CheetahTemplate3/cheetah3/issues/new
Binary files 3.2.4-2/devscripts/CI/pip-19.1.1.tar.gz and 3.2.5-1/devscripts/CI/pip-19.1.1.tar.gz differ
Binary files 3.2.4-2/devscripts/CI/setuptools-43.0.0.zip and 3.2.5-1/devscripts/CI/setuptools-43.0.0.zip differ
diff -pruN 3.2.4-2/devscripts/CI/tox-install.cmd 3.2.5-1/devscripts/CI/tox-install.cmd
--- 3.2.4-2/devscripts/CI/tox-install.cmd	1970-01-01 00:00:00.000000000 +0000
+++ 3.2.5-1/devscripts/CI/tox-install.cmd	2020-05-16 17:30:58.000000000 +0000
@@ -0,0 +1,26 @@
+REM Downgrade pip/pkg_resources/setuptools to work around a bug in tox
+REM that upgrades packages too eagerly and installs incompatible versions.
+
+REM Cleanup
+del /q /s .tox\py34-w32\lib\site-packages\pip
+del /q /s .tox\py34-w32\lib\site-packages\pkg_resources
+del /q /s .tox\py34-w32\lib\site-packages\setuptools
+
+REM Install pkg_resources/setuptools
+python -m zipfile -e devscripts\CI\setuptools-43.0.0.zip .
+cd setuptools-43.0.0
+python bootstrap.py
+python setup.py install
+cd ..
+python -c "import setuptools; print(setuptools.__version__)"
+
+REM Install pip
+python -m tarfile -e devscripts\CI\pip-19.1.1.tar.gz
+cd pip-19.1.1.
+python bootstrap.py
+python setup.py install
+cd ..
+pip --version
+
+REM Use fixed pip to install dependencies
+pip install %*
diff -pruN 3.2.4-2/devscripts/CI/travisci-release 3.2.5-1/devscripts/CI/travisci-release
--- 3.2.4-2/devscripts/CI/travisci-release	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/devscripts/CI/travisci-release	2020-05-16 17:30:58.000000000 +0000
@@ -6,7 +6,15 @@ set -e
 umask 022 &&
 chmod -R a+rX . &&
 
-pip install -U pip setuptools "wheel==0.31.1" twine &&
+py=$(python -c "import sys; print('.'.join(sys.version.split('.')[:2]))")
+v=$(echo "$py" | sed 's/\.//') &&
+
+pip install -U "pip<19.2" "setuptools<44" "readme-renderer<25.0" "twine<2.0" &&
+if [ "$py" == 3.4 ]; then
+    pip install -U "wheel==0.31.1"
+else
+    pip install -U "wheel==0.34.1"
+fi &&
 python setup.py sdist &&
 
 if [ -d build ]; then find build -name '*.py[co]' -delete; fi &&
@@ -16,15 +24,14 @@ python    -m compileall build &&
 python -O -m compileall build &&
 python setup.py bdist_wheel &&
 
-py=$(python -c "import sys; print('.'.join(sys.version.split('.')[:2]))")
-v=$(echo "$py" | sed 's/\.//') &&
-
 if [ "$TRAVIS_OS_NAME" == 'linux' ]; then
     if [ "$py" == 2.7 ]; then
         pyenv global system 3.6.7 2.7.15
-        pip3.6 install -U auditwheel
+        pip3.6 install -U "auditwheel==3.1.0"
+    elif [ "$py" == 3.4 ]; then
+        pip install -U typing "auditwheel==2.1.1"
     else
-        pip install -U auditwheel
+        pip install -U "auditwheel==3.1.0"
     fi &&
 
     for f in dist/Cheetah3-*-cp$v-*-linux_x86_64.whl; do
diff -pruN 3.2.4-2/devscripts/postrelease 3.2.5-1/devscripts/postrelease
--- 3.2.4-2/devscripts/postrelease	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/devscripts/postrelease	2020-05-16 17:30:58.000000000 +0000
@@ -5,15 +5,15 @@ tag="`python setup.py --version`" &&
 . `dirname $0`/split.sh &&
 split_tag $tag
 
-if [ $micro -eq 0 -a $state = final ]; then
-   if git branch --merged master | grep -Fqw maint; then
-      git checkout maint &&
-      git merge --ff-only master &&
-      git checkout master
-   else:
-      git checkout master &&
-      git merge --strategy=ours -m 'Null-merge branch "maint"' maint
-   fi
+if [ $micro -eq 0 -a $state = final ] &&
+      git branch --merged master | grep -Fqw maint; then
+   git checkout maint &&
+   git merge --ff-only master &&
+   git checkout master
+else:
+   git checkout master &&
+   git merge --ff-only maint ||
+   git merge --strategy=ours -m 'Null-merge branch "maint"' maint
 fi &&
 
 git checkout $tag~ ANNOUNCE.rst &&
diff -pruN 3.2.4-2/devscripts/prerelease 3.2.5-1/devscripts/prerelease
--- 3.2.4-2/devscripts/prerelease	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/devscripts/prerelease	2020-05-16 17:30:58.000000000 +0000
@@ -10,7 +10,7 @@ fi
 . `dirname $0`/split.sh &&
 split_tag $tag
 
-if [ $micro -eq 0 ]; then
+if [ $micro -eq 0 -o $state != final ]; then
    git checkout master
 else
    git checkout maint
diff -pruN 3.2.4-2/devscripts/prerelease-tag 3.2.5-1/devscripts/prerelease-tag
--- 3.2.4-2/devscripts/prerelease-tag	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/devscripts/prerelease-tag	2020-05-16 17:30:58.000000000 +0000
@@ -10,7 +10,7 @@ fi
 . `dirname $0`/split.sh &&
 split_tag $tag
 
-if [ $micro -eq 0 ]; then
+if [ $micro -eq 0 -o $state != final ]; then
    git checkout master
 else
    git checkout maint
diff -pruN 3.2.4-2/devscripts/release 3.2.5-1/devscripts/release
--- 3.2.4-2/devscripts/release	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/devscripts/release	2020-05-16 17:30:58.000000000 +0000
@@ -10,7 +10,7 @@ devscripts/build-docs &&
 if [ ! -d build ]; then mkdir build; fi &&
 python setup.py sdist &&
 
-for py in 2.7 3.4 3.5 3.6 3.7; do
+for py in 2.7 3.4 3.5 3.6 3.7 3.8; do
    find build -name '*.py[co]' -delete &&
    python$py setup.py build_ext &&
    python$py setup.py build --executable '/usr/bin/env python' &&
@@ -19,9 +19,9 @@ for py in 2.7 3.4 3.5 3.6 3.7; do
    python$py setup.py bdist_wheel &&
    cd dist &&
    v="`echo $py | sed 's/\.//'`" &&
-   for f in Cheetah3-*-cp$v-*-linux_i686.whl; do
+   for f in Cheetah3-*-cp$v-*-linux_*.whl; do
       if [ $py = 2.7 ]; then
-         python3.4 -m auditwheel repair -w . $f
+         python3.6 -m auditwheel repair -w . $f
       else
          python$py -m auditwheel repair -w . $f
       fi &&
diff -pruN 3.2.4-2/devscripts/setup 3.2.5-1/devscripts/setup
--- 3.2.4-2/devscripts/setup	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/devscripts/setup	2020-05-16 17:30:58.000000000 +0000
@@ -3,7 +3,7 @@
 umask 022  # -rwxr-xr-x
 cd "`dirname \"$0\"`"/.. &&
 
-for py_ver in 2.7 3.4 3.5 3.6 3.7; do
+for py_ver in 2.7 3.4 3.5 3.6 3.7 3.8; do
    python$py_ver -m pip install --install-option=-O2 --upgrade .
 done &&
 
diff -pruN 3.2.4-2/devscripts/test-cheetah.cmd 3.2.5-1/devscripts/test-cheetah.cmd
--- 3.2.4-2/devscripts/test-cheetah.cmd	1970-01-01 00:00:00.000000000 +0000
+++ 3.2.5-1/devscripts/test-cheetah.cmd	2020-05-16 17:30:58.000000000 +0000
@@ -0,0 +1,16 @@
+@echo off
+
+SetLocal EnableDelayedExpansion
+set SavePATH=%PATH%
+
+for %%V in (27 34 35 36 37 38) do (
+   for %%s in (32 64) do (
+      set PATH=C:\Python%%V-%%s;C:\Python%%V-%%s\Scripts;!SavePATH!
+      set TOXPYTHON=C:\Python%%V-%%s\python.exe
+      !TOXPYTHON! -m tox -e py%%V
+      if !ERRORLEVEL! EQU 0 (echo Ok) else (echo Error && goto Quit)
+   )
+)
+
+:Quit
+set PATH=%SavePATH%
diff -pruN 3.2.4-2/docs/authors.rst 3.2.5-1/docs/authors.rst
--- 3.2.4-2/docs/authors.rst	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/docs/authors.rst	2020-05-16 17:30:58.000000000 +0000
@@ -31,4 +31,5 @@ Contributions have been made by:
 * Nicola Soranzo <nicola.soranzo at gmail.com>
 * Pierre-Yves <pyu at riseup.net>
 * Dan Vinakovsky <dvinak at gmail.com>
+* Yegor Yefremov <yegorslists at googlemail.com>
 * Oleg Broytman <phd@phdru.name>
diff -pruN 3.2.4-2/docs/news.rst 3.2.5-1/docs/news.rst
--- 3.2.4-2/docs/news.rst	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/docs/news.rst	2020-05-16 17:30:58.000000000 +0000
@@ -1,6 +1,21 @@
 News
 ====
 
+Development (master)
+--------------------
+
+3.2.5 (2020-05-16)
+------------------
+
+Build:
+
+  - Install ``Cheetah3`` + ``markdown`` (used in ``Cheetah.Filters``)
+    using ``pip install cheetah3[filters]`` (or ``cheetah3[markdown]``).
+
+CI:
+
+  - Run tests with Python 3.8 at Travis CI.
+
 3.2.4 (2019-10-22)
 ------------------
 
diff -pruN 3.2.4-2/README.rst 3.2.5-1/README.rst
--- 3.2.4-2/README.rst	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/README.rst	2020-05-16 17:30:58.000000000 +0000
@@ -1,4 +1,4 @@
-Cheetah Template 3.2.4
+Cheetah Template 3.2.5
 ======================
 
 Cheetah3 is a free and open source template engine and code generation tool.
diff -pruN 3.2.4-2/setup.cfg 3.2.5-1/setup.cfg
--- 3.2.4-2/setup.cfg	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/setup.cfg	2020-05-16 17:30:58.000000000 +0000
@@ -10,11 +10,6 @@ skip_covered = True
 [easy_install]
 optimize = 2
 
-[egg_info]
-tag_build = 
-tag_date = 0
-tag_svn_revision = 0
-
 [flake8]
 exclude = .git,.tox,Cheetah/Templates/SkeletonPage.py,build/lib*/Cheetah/Templates/SkeletonPage.py
 include = buildandrun
diff -pruN 3.2.4-2/SetupConfig.py 3.2.5-1/SetupConfig.py
--- 3.2.4-2/SetupConfig.py	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/SetupConfig.py	2020-05-16 17:30:58.000000000 +0000
@@ -40,7 +40,7 @@ packages = ['Cheetah',
             'Cheetah.Utils',
             ]
 classifiers = [line.strip() for line in '''\
-  Development Status :: 5 - Production/Stable
+  Development Status :: 4 - Beta
   Intended Audience :: Developers
   Intended Audience :: System Administrators
   License :: OSI Approved :: MIT License
@@ -55,6 +55,7 @@ classifiers = [line.strip() for line in
   Programming Language :: Python :: 3.5
   Programming Language :: Python :: 3.6
   Programming Language :: Python :: 3.7
+  Programming Language :: Python :: 3.8
   Topic :: Internet :: WWW/HTTP
   Topic :: Internet :: WWW/HTTP :: Dynamic Content
   Topic :: Internet :: WWW/HTTP :: Site Management
@@ -130,3 +131,8 @@ See https://cheetahtemplate.org/news.htm
 long_description_content_type = "text/x-rst"
 
 python_requires = '>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*'
+
+extras_require = {
+    'filters': ['markdown'],
+    'markdown': ['markdown'],
+}
diff -pruN 3.2.4-2/tox.ini 3.2.5-1/tox.ini
--- 3.2.4-2/tox.ini	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/tox.ini	2020-05-16 17:30:58.000000000 +0000
@@ -5,7 +5,7 @@
 
 [tox]
 minversion = 2.0
-envlist = py27, py3{4,5,6,7,8}, py{27,37}-flake8, pypy
+envlist = py27,py3{4,5,6,7,8},py{27,38}-flake8,pypy
 
 [testenv]
 basepython =
@@ -20,7 +20,8 @@ commands =
     {envpython} --version
     {envpython} -c "import struct; print(struct.calcsize('P') * 8)"
 deps =
-    Markdown >= 2.0.1
+    setuptools < 44
+    Markdown >= 2.0.1, < 3.2
     pygments
 passenv = CI TRAVIS TRAVIS_* APPVEYOR DISTUTILS_USE_SDK MSSdk INCLUDE LIB WINDIR
 setenv =
@@ -39,6 +40,13 @@ commands =
 commands =
     {[tests]commands}
 
+[testenv:py34-w32]
+platform=win32
+whitelist_externals=tox-install.cmd
+install_command=devscripts\\CI\\tox-install.cmd {opts} {packages}
+commands =
+    {[tests]commands}
+
 [testenv:py35]
 commands =
     {[tests]commands}
@@ -62,7 +70,7 @@ commands =
     {[testenv]commands}
     flake8 .
 
-[testenv:py37-flake8]
+[testenv:py38-flake8]
 deps =
     flake8
 commands =
diff -pruN 3.2.4-2/.travis.yml 3.2.5-1/.travis.yml
--- 3.2.4-2/.travis.yml	2019-09-22 14:05:38.000000000 +0000
+++ 3.2.5-1/.travis.yml	2020-05-16 17:30:58.000000000 +0000
@@ -5,7 +5,7 @@ dist: xenial
 language: python
 
 python:
-  - "3.7"
+  - "2.7"
 
 cache: pip
 
@@ -17,10 +17,6 @@ addons:
 matrix:
   include:
   - python: "2.7"
-    env: TOXENV=py27-flake8
-  - python: "3.7"
-    env: TOXENV=py37-flake8
-  - python: "2.7"
     env: TOXENV=py27
   - python: "3.4"
     env: TOXENV=py34
@@ -30,6 +26,12 @@ matrix:
     env: TOXENV=py36
   - python: "3.7"
     env: TOXENV=py37
+  - python: "3.8"
+    env: TOXENV=py38
+  - python: "2.7"
+    env: TOXENV=py27-flake8
+  - python: "3.8"
+    env: TOXENV=py38-flake8
   - os: osx
     # No version of Python is available via virtualenv on OS X workers, see https://github.com/travis-ci/travis-ci/issues/2312
     language: generic
@@ -43,6 +45,9 @@ matrix:
   - os: osx
     language: generic
     env: TOXENV=py37
+  - os: osx
+    language: generic
+    env: TOXENV=py38
   - python: "pypy2.7-6.0"
     env: TOXENV=pypy
 
@@ -59,7 +64,7 @@ before_install:
     fi
 
 install:
-  - travis_retry pip install --upgrade "pip < 19.1" setuptools tox ppu
+  - travis_retry pip install --upgrade "pip<19.2" "setuptools<44" tox ppu
 
 script:
   - tox
